
/*

	@(#) print.r - simple reports 


	print, printh 
	!init, !heading etc etc 
	!auto 
	2 reports in same source module

*/


!include <sculptor.h> 
!include <printer.h> 

!ofile ordhead   "../../solutions/data/ordhead"   read 

	run report OrderRep 
	run report ExamplePrint 

	exit


!report OrderRep {
!drive ordhead

!auto nord ,, i4 = nord + 1

!init {

	nord = 0 
	sys.LeftMargin = 10 
	sys.PageLength = 20
	sys.FootLines  =  3
	
}

!title {
	print "Orders Report"
	print
}

!heading {

	print 
	print "Orders report", sys.Date
	print 

	printh *ordhead.OrderNo, *ordhead.OrderDate , *ordhead.OrdTotal
}

!footnote {

	print
	print "orders on page ", nord
	nord = 0 

}


!final {

	print
	print "Average order value  ", average(ordhead.OrdTotal)/100 : "#######0.##"  
}


	/* driving logic */
	printh ordhead.OrderNo, ordhead.OrderDate  : "dd/mm/yy" , ordhead.OrdTotal

	end 

}


/***************************************************************************************************************************/
!report ExamplePrint {

!drive ordhead 

!heading {

	printh *ordhead.OrderNo, [ordhead.OrderDate]  , *ordhead.OrdTotal , *sys.LinesLeft 
	print "Sys.PageLength" , sys.PageLength 
	print 

}

	ExPrntMain() 

}


!function ExPrntMain() {

	printh ordhead.OrderNo, [ordhead.OrderDate]  , ordhead.OrdTotal , sys.LinesLeft 


}

