
/* 

	@(#) seq.r - show use of sequential files and supporting functions 

*/

!include <sculptor.h>
!include <files.h> 


	TestPutField()
	TestGetField()
	WriteAscii() 

	prompt "Done" 

	exit

!function TestPutField() {

	sys.Separator = "," 

	open #2, "testput.txt" create

	put #2, "Hello , Hello, Hello" 
	putfield  #2, "Hello , Hello, Hello" 
	
	putfield  #2, "Hello \"Fred\" " 
	close #2
}

!function TestGetField() {
!temp fld1 ,, a32
!temp fld2 ,, a32

	sys.Separator = "," 

	open #3, "testput.txt" read

	get       #3, fld1
	getfield  #3, fld2
	
	prompt "Spot the difference " , fld1, fld2
	close #3

}


!function WriteAscii() {

!temp ch ,, a1 
!temp i  ,, i2
!temp fname ,, a32 = "ascii.txt" 

	if ( access(fname,TEST_EXISTS) = OKAY ) {

		prompt fname / " already exists "  \
               button = "Overwrite" , WA_OK \
               button = "Cancel" , WA_DONE 

	}

WA_OK:

	sys.Separator = "\t" 

	open #1, fname create 
	put #1, "subset of ASCII chars set " 

	for ( i= 33; i < 127 ; i++ ) {

		ch = chr(i)
		put #1, i, ch  ;  "   " ;
		if ( (i-32) % 10 = 0 ) put #1, "" 
 
	}

	close #1

WA_DONE:

}
