
/*
	@(#)special.r  - practice for functions, arrays and loops 
                       

	Output sequence 

	1
	1 1 
	2 1
	1 2 1 1
	1 1 1 2 2 1
	3 1 2 2 1 1


*/

!define LEN  128 
!define ROWS   9 

!temp cline ,, i4[LEN]
!temp pline ,, i4[LEN]
!temp clen  ,, i4
!temp i     ,, i4 

	put "   1"
	pline[1] = 1
	clen     = 1

	for ( i = 2; i <= ROWS ; i++ ) {

_bp		AssignCurrentLine()
		OutputCurrentLine() 
		AssignNextLine() 

	}

	prompt "Press return"
	exit

!function AssignCurrentLine() {
.. assign current from previous line 
!temp csym     ,, i4
!temp countsym ,, i4 
!temp p1       ,, i4 = 0 
!temp p2       ,, i4 = 0 

	p1 = 1
	p2 = 1
	csym = pline[1]
	while ( csym <> 0 ) {

		countsym = CountSymbol(p1)
		p1 = p1 + countsym

		cline[p2] = countsym 
		cline[p2+1] = csym 
		p2 = p2 + 2

		if ( p1 <= clen ) {
			csym = pline[p1]
		} else {
			csym = 0
		}
	}

	clen = p2  - 1
}

!function CountSymbol(ptr) {
.. how many symbols are the same from pline[ptr] going forward 
!temp i   ,, i2 
!temp ret ,, i2 = 1 

	for ( i = ptr ; i <= clen and pline[i] = pline[i+1] ; i++ ) {
		ret++
	}

	return ret
}



!function OutputCurrentLine() {
!temp i ,, i2

	for ( i = 1 ; i <= clen ; i++ ) {
		put cline[i] : "####" ; 
	}
 
	put "" 

}

 
!function AssignNextLine() {
.. save current line in previous line 
!temp i ,, i2

	for ( i = 1 ; i <= clen ; i++ ) {
		pline[i] = cline[i] 
	}

}
