
!chargrid OFF

+window wintask at 148,90 {

	max_width = 1137
	max_height = 591
	event = ExitProgram
	style = WS_CLOSEBUTTON | WS_MAXBUTTON | WS_MINBUTTON
	title = "Edit stock and customers"

	+text StaticText1 at 299,142 {
		label = "Select menu options to start dialogs"
		label_font = "Garamond@24"
		width = 459
		height = 35
	}

	menu MainMenu {

		menuitem MenuItem1 {
			label = "Exit"
			select = ExitProgram
		}

		menuitem MenuItem2 {
			label = "Edit Customers"
			select = CustomerWin
		}

		menuitem MenuItem3 {
			label = "Edit stockitems"
			select = StockItemWin
		}

		menuitem MenuItem4 {
			label = "Show settings"
			select = ShowSettings
		}

		menuitem MenuItem5 {
			label = "Passwords"
			select = ManagePasswords
		}
	}
}

-window winCustomer at 11,10 {
	max_width = 990
	max_height = 581
	event_enable = EV_CLOSE
	event = evCloseCustomerWin
	style = WS_CLOSEBUTTON
	title = "Edit customers. Press ESC to get out"


	+textbox Textbox1 at 201,84 {
		field = customer.Code
		validate = ValCustCode
	}

	+textbox Textbox2 at 203,126 {
		field = customer.Name
	}

	+textbox Textbox3 at 207,173 {
		field = customer.Passwd
	}

	+textbox Textbox4 at 204,393 {
		field = customer.PostCode
	}

	+textbox Textbox5 at 203,255 {
		field = customer.Addr1
	}

	+textbox Textbox6 at 202,307 {
		field = customer.Addr2
	}

	+textbox Textbox7 at 203,344 {
		field = customer.Addr3
	}

	+button Button1 at 534,66 {
		label = "Next Item"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evNextCustomer
	}

	+button Button2 at 756,68 {
		label = "Prev item"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evPrevCustomer
	}

	+button Button3 at 536,134 {
		label = "Wind to start"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evCustomerFileStart
	}

	+button Button4 at 756,136 {
		label = "Wind to end"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evCustomerFileEnd
	}

	+button Button5 at 544,272 {
		label = "Close this dialog OK"
		style = WS_DEFAULT_BUTTON
		width = 179
		height = 51
		event_enable = EV_BUTTON_CLICKED
		event = evOKCustomerDialog
	}

	+button Button6 at 757,269 {
		label = "Cancel"
		width = 145
		height = 52
		event_enable = EV_BUTTON_CLICKED
		event = evCancelCustomerDialog
	}

	+button Button7 at 540,208 {
		label = "write existing"
		width = 156
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evWriteCustomer
	}

	+button Button8 at 758,209 {
		label = "NEW"
		width = 106
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evNewCustomer
	}

	+button Button9 at 558,412 {
		label = "Save New"
		style = WS_INVISIBLE
		width = 106
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evInsertNewCustomer
	}

	+button Button10 at 688,412 {
		label = "Cancel New"
		style = WS_INVISIBLE
		width = 106
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evCancelNewCustomer
	}
}


-window winStockItem at 129,42 {
	max_width = 990
	max_height = 581
	title = "Edit stock items. Press ESC to get out"

	+textbox Textbox1 at 297,79 {
		field = stockitem.Code
	}

	+textbox Textbox2 at 301,122 {
		field = stockitem.Desc
	}

	+textbox Textbox3 at 303,174 {
		field = stockitem.InStock
	}

	+textbox Textbox4 at 305,218 {
		field = stockitem.Price
	}

	+textbox Textbox5 at 306,270 {
		field = stockitem.SDate
	}

	+textbox Textbox6 at 305,324 {
		field = stockitem.Weight
	}

	+button Button1 at 116,410 {
		label = "Next Item"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evNavigateStockItem
	}

	+button Button2 at 308,411 {
		label = "Prev item"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evNavigateStockItem
	}

	+button Button3 at 116,457 {
		label = "Wind to start"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evStockWind
	}

	+button Button4 at 308,458 {
		label = "Wind to end"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evStockWind
	}
}


-window winSettings at 670,53 {
	max_width = 407
	max_height = 366
	event_enable = EV_CLOSE
	event = evCloseSettingsWin
	parent = wintask
	style = WS_CLOSEBUTTON
	title = "Settings info"

	+textbox Textbox1 at 108,53 {
		field = sys.Date
		style = WS_NOTABSTOP
	}

	+textbox Textbox2 at 114,104 {
		field = sys.Time
		style = WS_NOTABSTOP
	}

	+textbox Textbox3 at 108,154 {
		field = sys.IPAddress
		style = WS_NOTABSTOP
	}

	+textbox Textbox5 at 108,210 {
		field = sys.UserName
		style = WS_NOTABSTOP
	}
}

-window winPasswords at 227,193 {
	max_width = 990
	max_height = 470
	title = "Passwords. ESC to exit"

	+textbox Textbox1 at 137,66 {
		field = passwd.UserName
	}

	+textbox Textbox2 at 140,122 {
		field = passwd.PassWord
	}

	+textbox Textbox3 at 142,177 {
		field = passwd.AdminUser
	}

	+button Button1 at 376,58 {
		label = "Next"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evNextPasswd
	}

	+button Button2 at 517,58 {
		label = "Prev"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evPrevPasswd
	}

	+button Button3 at 377,106 {
		label = "Rewind"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evPasswdFileStart
	}

	+button Button4 at 518,106 {
		label = "Wind"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evPasswdFileEnd
	}

	+button Button5 at 377,181 {
		label = "write existing"
		width = 156
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evWritePassword
	}

	+button Button6 at 552,182 {
		label = "NEW"
		width = 106
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evNewPassword
	}

	+button Button7 at 389,283 {
		label = "Save New"
		style = WS_INVISIBLE
		width = 106
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evInsertNewPasswd
	}

	+button Button8 at 535,285 {
		label = "Cancel New"
		style = WS_INVISIBLE
		width = 106
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evCancelNewPassword
	}
}

-window winGetPassword at 107,61 {

	max_width = 531
	max_height = 379
	title = "Enter Username and passwd"

	+textbox Textbox1 at 97,68 {
		field = RecPasswd.UserName
	}

	+textbox Textbox2 at 94,118 {
		field = RecPasswd.PassWord
		label = "Password"
	}

	+button Button1 at 37,202 {
		label = "OK"
		style = WS_DEFAULT_BUTTON
		width = 61
		height = 29
		event = evPasswordRespond
		event_enable = EV_BUTTON_CLICKED
	}

	+button Button2 at 139,201 {
		label = "Cancel"
		style = WS_CANCEL_BUTTON
		width = 61
		height = 29
		event = evPasswordRespond
		event_enable = EV_BUTTON_CLICKED
	}
}


