/* setlocale.r */

!include <sculptor.h>

/********************************************************************************/

!temp OriginalLocale,"Original Locale",a50
!temp NewLocale,"New Locale",a50
!temp RequiredLocale,"Required Locale",a50

/********************************************************************************/

+window wintask at 62,49 {
	max_width = 570
	max_height = 220
	event = evWinTask
	style = WS_CLOSEBUTTON | WS_MINBUTTON
	data_font = "ms sans serif@10"
	label_font = "ms sans serif@10"
	title = "setlocale() function"

	+textbox tbOriginalLocale at 121,48 {
		field = tmp.OriginalLocale
		style = WS_NOTABSTOP
	}

	+textbox tbRequiredLocale at 121,86 {
		field = tmp.RequiredLocale
		validate = valRequiredLocal
	}

	+textbox tbNewLocale at 121,124 {
		field = tmp.NewLocale
		style = WS_NOTABSTOP
	}
}

/********************************************************************************/

	fMain()
	exit

/********************************************************************************/

!function valRequiredLocal(EventCode, Object) {

	switch (EventCode) {
	case == EV_VALIDATE:
		tmp.NewLocale = setlocale(LC_ALL, tmp.RequiredLocale)
		display tbNewLocale
		break
	}
}

/********************************************************************************/

!function evWinTask(EventCode, Object) {

	switch (EventCode) {
	case == EV_CLOSE:
		exit
	}
}

/********************************************************************************/

!function fMain() {

	tmp.OriginalLocale = setlocale(LC_ALL, "")
	display tbOriginalLocale

	dialog cancel=MAIN_FINISH

MAIN_FINISH:
	return
}

/********************************************************************************/
!chargrid OFF
/********************************************************************************/
