


/*

	@(#) prdest.r - short report with options for printer destination. 


*/

!include <sculptor.h> 
!include <printer.h> 

!include "prdest.h" 


!ofile customer   "../../solutions/data/customer"   read 

!temp FName,,a20

	MainProg()


!function MainProg() {

	FName = "fred.txt" 
	LoadPrinterNames() 
	display wintask 

	dialog wintask cancel = MP_EXIT
MP_EXIT:

	exit

}

!function LoadPrinterNames() {
!temp nprnt    ,, i2 
!temp prntname ,, a128[32]
!temp i        ,, i2

	nprnt = EnumPrinters(prntname)
	for ( i = 1 ; i <= nprnt ; i++ ) {
		listbox_add(Listbox1,prntname[i],0) 
	}

	set_selected(Listbox1,1,TRUE) 
	Listbox1->rows = nprnt 

	display Listbox1 


}


!function ExitProgram() {
	exit
}


!function evRunCustRep() {
!temp pname ,, a128 

_bp	if ( RadioGroup1.Button1->checked ) {
		run report CustRep
		return 
	} 

	if ( RadioGroup1.Button2->checked ) {
		listbox_get_selected(Listbox1,pname) 
		run report CustRep to "printer:" / pname 
		caption "report sent to printer " + pname
		return 
	} 

	if ( RadioGroup1.Button3->checked ) {
		run report CustRep to "print manager" 
		caption "report sent to print manager"
		return 
	} 


	if ( RadioGroup1.Button4->checked ) {
		run report CustRep to "default printer"  
		caption "report sent to default printer"
		return 
	} 

_bp 	if ( RadioGroup1.Button5->checked ) {
		run report CustRep to FName ppf = "nullp"  
		caption "report sent " + FName 
		return 
	} 
}


!report CustRep {
!drive customer

   print customer.Code, customer.Name, customer.Addr1, customer.Addr2, \
         customer.Addr3, customer.PostCode 

	end 

}
