

/*

	@(#) table3.r  - very basic Editable table  

	Editing cells in a table 
	Validating cells  - do not allow "XXX" on a cell 
	Adding rows to a table dynamically , and setting focus  
	table_focus_cell - set input focus on a particular cell 

	point out init done which stops prompt from init process 

*/

!include <sculptor.h>
!include "table3.h"

!record MyCellProps {
	cell_type ,, i4[NCOLS]
}

!record MyArray {
	talpha ,, a10[MAX_TAB_LEN] , "u" 
	tint   ,, i2[MAX_TAB_LEN]
}

!temp initdone ,, u1

	Init()

	dialog wintask cancel = EXIT
EXIT:
	exit


!function evExitProg() {
     exit
}

!function Init() {
!temp i ,, i2


	MyCellProps.cell_type[1] = TCT_TEXTBOX 

	for ( i = 1; i <= DEF_TAB_LEN ; i++ ) {
		talpha[i] = chr(64+i) 
		tint[i]   = i
	}

	display Table1

}

!function evAddRow() {

		Table1->max_line = Table1->max_line + 1

		display Table1 
		table_focus_cell(Table1,Table1->max_line, 1 )

}


!function evMyTableEvent(evcode, evobj, row , param1, param2 ) {


_bp	if ( evcode = EV_VALIDATE ) {

		if ( param2 = "XXX") {
			error "Value not allowed in cell" 
			table_focus_cell(Table1, row, param1) 
		}

		return 
	}

	if ( evcode = EV_SELECT  ) {

		if ( initdone = FALSE ) {
				initdone = TRUE
				return 
		}

		info "row/col/state = " + tostr(row) + " " + tostr(param2 ) + " " \
                                + tostr(param1) 
	}

}
