
/*

	ex4.r - count how many part codes start with a given prefix

*/


!include <sculptor.h> 

!chargrid OFF

!ofile stockitem "../data/stockitem" update


+window wintask at 323,33 {
	max_width = 796
	max_height = 791
	event_enable = EV_CLOSE
	event = ExitProgram
	style = WS_CLOSEBUTTON | WS_MAXBUTTON | WS_MINBUTTON
	title = "Press ESC to exit"

	+textbox Textbox1 at 297,79 {
		field = stockitem.Code
	}

	+textbox Textbox2 at 301,122 {
		field = stockitem.Desc
	}

	+textbox Textbox3 at 303,174 {
		field = stockitem.InStock
	}

	+textbox Textbox4 at 305,218 {
		field = stockitem.Price
	}

	+textbox Textbox5 at 306,270 {
		field = stockitem.SDate
	}

	+textbox Textbox6 at 305,324 {
		field = stockitem.Weight
	}

	+button Button1 at 116,410 {
		label = "Next Item"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evNext
	}

	+button Button2 at 308,411 {
		label = "Prev item"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evPrev
	}

	+button Button3 at 116,483 {
		label = "Wind to start"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evFileStart
	}

	+button Button4 at 308,484 {
		label = "Wind to end"
		width = 118
		height = 35
		event_enable = EV_BUTTON_CLICKED
		event = evFileEnd
	}

	+button Button5 at 113,569 {
		label = "Price Increase"
		width = 148
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evPriceIncrease
	}

	+button Button6 at 312,572 {
		label = "Count Prefix"
		width = 148
		height = 36
		event_enable = EV_BUTTON_CLICKED
		event = evCountPrefix
	}
}

	MainProg() 
	ExitProgram()



!function MainProg() {

	display wintask
	dialog wintask cancel = MAIN_RET

MAIN_RET:

	return 
}



!function evNext() {

	next stockitem traps = IGNORE
	if ( sys.Traps <> OKAY ) {
		prompt "no more records" 
		return
	}

	display wintask 


}

!function evPrev() {

	prev stockitem traps = IGNORE
	if ( sys.Traps <> OKAY ) {
		prompt "no more records" 
		return
	}

	display wintask 


}

!function evFileStart() {

	clear wintask
	rewind stockitem
}

!function evFileEnd() {

	clear wintask
	wind stockitem
}

!function evPriceIncrease() {

	rewind stockitem 
PI_LOOP:
	next stockitem traps = IGNORE 
	if ( sys.Traps <> OKAY ) goto PI_DONE 

	stockitem.Price = stockitem.Price * 1.1  
	write stockitem 

	goto PI_LOOP

PI_DONE:

	prompt "Prices updated" 

}


!function evCountPrefix() {
!temp npref ,, i4 = 0 

	
	find stockitem traps = IGNORE 
 	
	while ( sys.Traps = OKAY ) {
		npref++
		match stockitem traps = IGNORE 
	} 
 
	if ( npref = 0 ) clear wintask else display wintask 

	prompt npref 
	
}


!function ExitProgram() {

	exit

}




