

/*
	@(#) ex2.r - check a UK post code 



*/

!include <sculptor.h> 

!include "ex3.h" 

!record PostCodeParts {

	postcode,"Enter postcode to check",a32
	tok1    , "Token 1" , a16
	tok2    , "Token 2" , a16
}

	MainProg() 
	ExitProgram()

!function MainProg() {

	/* 10 Downing St */
	postcode = "sw1A 2aa"
	setfocus Textbox1
	sys.AutoValidate = TRUE 

	display wintask
	dialog wintask cancel = MAIN_RET

MAIN_RET:

	return 
}

!function ExitProgram() {

	exit

}


!function ValCheckPostCode() {

	if ( postcode = "" ) {
		error "Give me something to check - please !"
		return
	}

	postcode = left(postcode)
	postcode = toupper(postcode) 
	Split() 
	display Group1 

	if ( tok1 = "" or tok2 = "") {
		prompt "Not two words error" 
		return
	}

	if ( IsPostCode() ) {
		info "It is a good post code" 
	} else {
		info "this is not a good post code" 
	}

}


!function Split() {
!temp p1 ,, i1

	p1 = instr(postcode,1," ") 
	if ( p1 > 0 or p1 = strlen(postcode) ) {
		tok1 = getstr(postcode,1,p1-1) 
	} else {
		tok1 = ""
		tok2 = ""
	}
	
	tok2 = getstr(postcode,p1+1, strlen(postcode) - p1 + 1 ) 
	
}

!function ToFormat(tstr) {
!temp i ,, i2 
!temp ch ,, a1


	for ( i = 1; i <= strlen(tstr); i++ ) {

		ch = getstr(tstr,i,1) 

		if ( ch >= "0" and  ch <= "9" ) {
			setstr(tstr,i,1,"9") 
		} else {
			if ( ch >= "A" and  ch <= "Z" ) {
				setstr(tstr,i,1,"A") 
			}
		}
	}

}

!function IsPostCode() {

	ToFormat(tok1)
	ToFormat(tok2)

	return ( tok1 = "A9" or tok1 = "A99" or tok1 = "AA9" or tok1 = "AA99" or \
           tok1= "A9A" or tok1 = "AA9A" ) and tok2 = "9AA"

}
